Issue 122218

Summary: [sidebar] Provide panel for inserting shapes
Product: General Reporter: Andre <awf.aoo>
Component: uiAssignee: Andre <awf.aoo>
Status: RESOLVED FIXED QA Contact:
Severity: Normal    
Priority: P3 CC: issues, ydario
Version: 4.0.0-dev   
Target Milestone: 4.0.0   
Hardware: All   
OS: All   
Issue Type: FEATURE Latest Confirmation in: ---
Developer Difficulty: ---
Issue Depends on:    
Issue Blocks: 121420    

Description Andre 2013-05-03 09:54:56 UTC
Draw does not have a default panel.  A panel that allows the most frequently used shapes can fill this void.
Comment 1 Andre 2013-05-03 09:56:25 UTC
Draw has an empty context name after a new Draw document has been created but the default should be "DrawPage".
Comment 2 Andre 2013-05-03 13:05:42 UTC
Created a new panel named "Insert Shapes" that for now is only visible for Draw documents in all contexts.
Comment 3 SVN Robot 2013-05-03 13:07:18 UTC
"af" committed SVN revision 1478763 into trunk:
122218: Add new sidebar panel for inserting shapes into Draw documents.
Comment 4 SVN Robot 2013-05-03 14:26:23 UTC
"af" committed SVN revision 1478806 into trunk:
122218: Added missing files to sfx2/inc/sfx2/sidebar.
Comment 5 Andre 2013-05-03 15:08:59 UTC
Somehow my local transition from GIT to SVN did not work as planned.  Forgot to add the new files.
Comment 6 SVN Robot 2013-05-03 15:13:26 UTC
"af" committed SVN revision 1478828 into trunk:
122218: Added more missing files.
Comment 7 SVN Robot 2013-05-10 11:30:31 UTC
"af" committed SVN revision 1480982 into trunk:
122218: Replaced local tool box controller with existing GenericToolboxContro...
Comment 8 Andre 2013-05-10 11:34:24 UTC
Cleaned up the new panel by using the already available svtools::GenericToolboxController instead of the new SimpleToolboxController.
Comment 9 Yuri Dario 2013-05-11 14:38:25 UTC
ater SVN revision 1480982, 

svx/source/sidebar/insert/SimpleToolBoxController.cxx

is still referenced in Library_svx.mk.